# Module `awful.placement`

### Info:

- Copyright: 2008 Julien Danjou
- Release: v3.5.4
- Author: Julien Danjou <julien@danjou.info>

## Functions

no_offscreen (c) | Place the client so no part of it will be outside the screen.
no_overlap (c) | Place the client where there's place available with minimum overlap.
under_mouse (c) | Place the client under the mouse.
centered (c, p) | Place the client centered with respect to a parent or the clients screen.
center_horizontal (c, p) | Place the client centered on the horizontal axis with respect to a parent or the clients screen.
center_vertical (c, p) | Place the client centered on the vertical axis with respect to a parent or the clients screen.

## Functions

no_offscreen (c)
  Place the client so no part of it will be outside the screen.

  ### Parameters:

  - c The client.

  ### Returns:

  The new client geometry.
no_overlap (c)
  Place the client where there's place available with minimum overlap.

  ### Parameters:

  - c The client.
under_mouse (c)
  Place the client under the mouse.

  ### Parameters:

  - c The client.

  ### Returns:

  The new client geometry.
centered (c, p)
  Place the client centered with respect to a parent or the clients screen.

  ### Parameters:

  - c The client.
  - p The parent (optional, nil for screen centering).

  ### Returns:

  The new client geometry.
center_horizontal (c, p)
  Place the client centered on the horizontal axis with respect to a parent or the clients screen.

  ### Parameters:

  - c The client.
  - p The parent (optional, nil for screen centering).

  ### Returns:

  The new client geometry.
center_vertical (c, p)
  Place the client centered on the vertical axis with respect to a parent or the clients screen.

  ### Parameters:

  - c The client.
  - p The parent (optional, nil for screen centering).

  ### Returns:

  The new client geometry.

generated by LDoc 1.4.2